/* Copyright (C) 2002 MySQL AB & Jorge del Conde

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.
    
  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free
  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA 
*/

#ifndef CSERVERITEM_H
#define CSERVERITEM_H

#include <qvariant.h>
#include <qlistview.h>
#include <qpopupmenu.h>

#include "Config.h"
#include "CDatabaseTreeItem.h"
#include "CConnectionDialog.h"
#include "CToolBar.h"
#include "CShowServerProperties.h"

class CServerItemToolbar : public CToolBar
{
  Q_OBJECT

public:
  CServerItemToolbar(QMainWindow * parent);
  void setConnectedToolbar(bool connected);
};

class CDatabaseTree;
class CDatabaseTreeItem;
class QMenuBar;

class CServerItem : public CDatabaseTreeItem
{     
public:
  CServerItem(CMyWindow *consoleWindow, int serverid, CDatabaseTree * parent = 0, QString connectionName="", bool isconnected = false, QWidgetStack *w = NULL);
  ~CServerItem();
  bool isConnected() { return m_isConnected; }
  void setConnected(bool connected);
  int displayMenu(const QPoint & pos);
  void processMenu(int res);
  void doubleClicked();
  void clicked();
  void removeServer();

private:
  CDatabaseTree * myParent;
  CShowServerProperties * serverProperties;
  bool m_isConnected;  
  void init_item();
  bool deletedServerProperties;
  bool isRoot;
  bool isBusy;
};

#endif

