TEMPLATE	= app
CONFIG		= qt warn_on debug thread
DEFINES 	+= QT_DLL
TARGET		= MyCC 
LANGUAGE	= C++
INCLUDEPATH	+= ./include ./include/CSqlEditor
MOC_DIR		= moc
TRANSLATIONS    = translations/Espanol.ts

win32 {
	LIBS		+= C:\my\mysql\lib\opt\libmysql.lib
	INCLUDEPATH	+= C:\my\mysql\include
        CONFIG		+= windows
        RC_FILE		= win32/MyCC.RC
}

unix {
	LIBS		+= -L/usr/local/mysql/lib -lmysqlclient -lz
	INCLUDEPATH	+= /usr/local/mysql/include
	CONFIG		+= x11 
        OBJECTS_DIR	= tmp
}

SOURCES 	= src/CAboutBox.cpp \
		src/CAdministrationPanel.cpp \
		src/CApplicationWindow.cpp \
		src/CConfig.cpp \
		src/CConfigDialog.cpp \
		src/CConnectionDialog.cpp \
		src/CConsoleWindow.cpp \
		src/CCreditsBox.cpp \
		src/CDatabaseGroupItem.cpp \
		src/CDatabaseItem.cpp \
		src/CDatabaseTree.cpp \
		src/CDatabaseTreeItem.cpp \
		src/CFieldEditorWindow.cpp \
		src/CGeneralConfig.cpp \
		src/CHistoryView.cpp \
		src/CImageEditor.cpp \
		src/CImageFieldEditor.cpp \
		src/CInfoDialog.cpp \
		src/CListViewProperties.cpp \
		src/CMessageWindow.cpp \
		src/CMySQLConnection.cpp \
		src/CMySQLQuery.cpp \
		src/CMyWindow.cpp \
		src/CQueryWindow.cpp \
		src/CServerAdministrationItem.cpp \
		src/CServerItem.cpp \
		src/CSharedMenus.cpp \
		src/CShowDatabaseGroupProperties.cpp \
		src/CShowServerProperties.cpp \
		src/CShowTableGroupProperties.cpp \
		src/CShowTableProperties.cpp \
		src/CSqlEditor/completion.cpp \
		src/CSqlEditor/CSqlEditor.cpp \
		src/CSqlEditor/editor.cpp \
		src/CSqlEditor/parenmatcher.cpp \
		src/CSqlEditor/syntaxhighliter_sql.cpp \
		src/CSqlTable.cpp \
		src/CTableGroupItem.cpp \
		src/CTableItem.cpp \
		src/CTableProperties.cpp \
		src/CTablesListBox.cpp \
		src/CTableSpecific.cpp \
		src/CTableTools.cpp \
		src/CTableWindow.cpp \
		src/CTextDialog.cpp \
		src/CTextEditor.cpp \
		src/CTextFieldEditor.cpp \
		src/CToolBar.cpp \
		src/CUserAdminItem.cpp \
		src/CUserAdminWindow.cpp \
		src/CUserItem.cpp \
		src/Globals.cpp \
		src/Main.cpp

HEADERS 	= include/CAboutBox.h \
		include/CAdministrationPanel.h \
		include/CApplicationWindow.h \
		include/CConfig.h \
		include/CConfigDialog.h \
		include/CConnectionDialog.h \
		include/CConsoleWindow.h \
		include/CCreditsBox.h \
		include/CDatabaseGroupItem.h \
		include/CDatabaseItem.h \
		include/CDatabaseTree.h \
		include/CDatabaseTreeItem.h \
		include/CFieldEditorWindow.h \
		include/CGeneralConfig.h \
		include/CHistoryView.h \
		include/CImageEditor.h \
		include/CImageFieldEditor.h \
		include/CInfoDialog.h \
		include/CListViewProperties.h \
		include/CMessageWindow.h \
		include/CMySQLConnection.h \
		include/CMySQLQuery.h \
		include/CMyWindow.h \
		include/Config.h \
		include/CQueryWindow.h \
		include/CServerAdministrationItem.h \
		include/CServerItem.h \
		include/CSharedMenus.h \
		include/CShowDatabaseGroupProperties.h \
		include/CShowServerProperties.h \
		include/CShowTableGroupProperties.h \
		include/CShowTableProperties.h \
		include/CSqlEditor/completion.h \
		include/CSqlEditor/CSqlEditor.h \
		include/CSqlEditor/editor.h \
		include/CSqlEditor/paragdata.h \
		include/CSqlEditor/parenmatcher.h \
		include/CSqlEditor/syntaxhighliter_sql.h \
		include/CSqlTable.h \
		include/CTableGroupItem.h \
		include/CTableItem.h \
		include/CTableProperties.h \
		include/CTablesListBox.h \
		include/CTableSpecific.h \
		include/CTableTools.h \
		include/CTableWindow.h \
		include/CTextDialog.h \
		include/CTextEditor.h \
		include/CTextFieldEditor.h \
		include/CToolBar.h \
		include/CUserAdminItem.h \
		include/CUserAdminWindow.h \
		include/CUserItem.h \
		include/Globals.h \
		include/Icons.h \
		include/resource.h
